Subject: Re: Manual loading of mlx4_en

From: Benjamin Poirier <[email-masked]>
Date: Tue, 29 Jul 2014 19:14:00 -0700

On 2014/07/29 16:42, Amir Vadai wrote:
> On 7/29/2014 3:06 PM, Jean Delvare wrote:
> > Le Tuesday 29 July 2014 à 13:44 +0300, Amir Vadai a écrit :
> >> On 7/29/2014 1:34 PM, Jean Delvare wrote:
> >>> Many thanks for the fast and detailed answer! I'll go backport this
> >>> commit to kernel 3.12 (and 3.0, hopefully it doesn't have too many
> >>> dependencies?)
> >>
> >> I don't think there is any dependency for that commit. If you're
> >> backporting it, also take a small fix to it:
> >> f24f790 net/mlx4_core: Load the Eth driver first
> > 
> > Thanks for the hint. I suppose I should pick 7855bff4 "net/mlx4_core:
> > Load the IB driver when the device supports IBoE" as well?
> > 
> Right - missed it.

Thanks for the pointers.
Looking at f24f790f, I'm wondering if request_module(EN_DRV_NAME) ought
to be used instead of _nowait to guarantee the desired effect. Suppose
for example that the process is migrated to a different cpu between the
two request_module calls, the second one could complete before the first
one no?